# PCICCSetShift

specify whether to use Manteuffel shifting of ICC. If an ICC factorisation breaks down because of nonpositive pivots, adding sufficient identity to the diagonal will remedy this.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCICCSetShift(PC pc,PetscTruth shift)

Manteuffel shifting for ICC uses a different algorithm than the ILU case. Here we base the shift on the lack of diagonal dominance when a negative pivot occurs.

### Input parameters

| pc | - the preconditioner context
| shifting | - PETSC_TRUE to set shift else PETSC_FALSE

### Options Database Key

-pc_icc_shift -Activate PCICCSetShift()

### Keywords

PC, indefinite, factorization, incomplete, ICC

### See Also

PCILUSetShift()

Level:intermediate
Location:src/ksp/pc/impls/icc/icc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/pc/examples/tutorials/ex2.c.html